//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.2-147 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.03.06 at 12:22:27 AM EET 
//


package org.xbrl._int.gl.bus._2016_12_01;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.xbrl._int.gl.gen._2016_12_01.PhoneNumberDescriptionItemType;
import org.xbrl._int.gl.gen._2016_12_01.PhoneNumberItemType;


/**
 * <p>Java class for entityPhoneNumberComplexType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="entityPhoneNumberComplexType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}phoneNumberDescription" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}phoneNumber" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "entityPhoneNumberComplexType", propOrder = {
    "phoneNumberDescription",
    "phoneNumber"
})
public class EntityPhoneNumberComplexType {

    @XmlElement(nillable = true)
    protected PhoneNumberDescriptionItemType phoneNumberDescription;
    @XmlElement(nillable = true)
    protected PhoneNumberItemType phoneNumber;
    @XmlAttribute(name = "id")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String id;

    /**
     * Gets the value of the phoneNumberDescription property.
     * 
     * @return
     *     possible object is
     *     {@link PhoneNumberDescriptionItemType }
     *     
     */
    public PhoneNumberDescriptionItemType getPhoneNumberDescription() {
        return phoneNumberDescription;
    }

    /**
     * Sets the value of the phoneNumberDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link PhoneNumberDescriptionItemType }
     *     
     */
    public void setPhoneNumberDescription(PhoneNumberDescriptionItemType value) {
        this.phoneNumberDescription = value;
    }

    /**
     * Gets the value of the phoneNumber property.
     * 
     * @return
     *     possible object is
     *     {@link PhoneNumberItemType }
     *     
     */
    public PhoneNumberItemType getPhoneNumber() {
        return phoneNumber;
    }

    /**
     * Sets the value of the phoneNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link PhoneNumberItemType }
     *     
     */
    public void setPhoneNumber(PhoneNumberItemType value) {
        this.phoneNumber = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

}
